create table PLANTS(
 PLANT_ID  number(*, 0) not null primary key,
 NAME      varchar2(255),
 FIRM_ID   number(*, 0),
 CLI_KIND  number(*, 0),
 SCHEM_ID  number(*, 0),
 GDOORS    LONG RAW)
STORAGE(INITIAL 1M NEXT 1M MINEXTENTS 1 MAXEXTENTS UNLIMITED
);
alter table TabOper       add SA       char(1);
alter table TabOper       add PLANT_ID number(*,0);
alter table DEPARTMENT    add PLANT_ID number(*,0);
alter table PROFESSION    add PLANT_ID number(*,0);
alter table STRUCTURE     add PLANT_ID number(*,0);
alter table PERSONNEL     add PLANT_ID number(*,0);
alter table PERS_HISTORY  add PLANT_ID number(*,0);
alter table VISITORS      add PLANT_ID number(*,0);
alter table CARDLOG       add PLANT_ID number(*,0);
alter table BP_REQUEST    add PLANT_ID number(*,0);
alter table BP_BLACK_LIST add PLANT_ID number(*,0);
alter table AUTO_BOOK     add PLANT_ID number(*,0);
alter table CARDLOG_AUTO  add PLANT_ID number(*,0);
alter table IMP_EXP_FREIGHT add PLANT_ID number(*,0);
alter table SCHEME_KPP    add PLANT_ID number(*,0);
commit;

insert into PLANTS(PLANT_ID, NAME, FIRM_ID) values (0, ' ', 0);
update TabOper set SA=1 where OPER_ID=1;
update PERSONNEL set PLANT_ID=0;
update DEPARTMENT set PLANT_ID=0;
update PROFESSION set PLANT_ID=0;
update PERS_HISTORY set PLANT_ID=0;
update STRUCTURE set PLANT_ID=0;
update CARDLOG set PLANT_ID=0;
update BP_REQUEST set PLANT_ID=0;
update BP_BLACK_LIST set PLANT_ID=0;
update AUTO_BOOK set PLANT_ID=0;
update CARDLOG_AUTO set PLANT_ID=0;
update IMP_EXP_FREIGHT set PLANT_ID=0;
update SCHEME_KPP set PLANT_ID=0;
commit;

create or replace view ListUsers as
select
 p.USER_ID, p.INDICATION, p.CLI_N,
 p.F_NAME, p.S_NAME, p.M_NAME,
 p.DEPARTMENT_ID, p.PROFESSION_ID, p.ORG_ID, p.JOB,
 p.TABN, p.TABN_REAL, p.NUM, p.CLI_KIND,
 p.W_PHONE, p.DATE_BRS, p.H_ADDR,
 p.H_PHONE, p.M_PHONE,
 p.P_NUM, p.P_ISSUED, p.P_ISSUEDAY,
 p.REGISTRATION, p.LEVEL_KD, p.PLANT_ID,
 p.CARD_STS, p.GettingDATE,
 p.LOST_KD, p.Decision, p.Black_LIST,
 d.NAME DepN,
 j.NAME JobN,
 o.NAME OrgN,
 t.KIND_OPIS,
 c.CODE as DEC, c.NUM_KD NUM_KD, c.LEVEL_KD LREAL
from
 PERSONNEL p,
 DEPARTMENT d,
 PROFESSION j,
 AlienOrg o,
 CLITAB c,
 CLITYPES t
where
 t.CLI_KIND(+)=p.CLI_KIND and
 d.CODE(+)=p.DEPARTMENT_ID and
 j.PROFESSION_ID(+)=p.PROFESSION_ID and
 o.ORG_ID(+)=p.ORG_ID and
 c.N(+)=p.CLI_N;
commit;