create table PERS_AUTOCARD(
 CODE        number(*, 0) not null primary key,
 USER_ID     number(*, 0) not null CONSTRAINT fk_hauser REFERENCES PERSONNEL(USER_ID) on delete cascade,
 AUTO_NUM    varchar2(20),
 FIO_OWN     varchar2(180), 
 COD_MOD     number(*, 0) CONSTRAINT fk_amod REFERENCES MODEL_BOOK(CODE),
 TP          CHAR(1) default 0,
 CLI_KIND    number(*, 0),
 CLI_N       number(*, 0),
 LEVEL_KD    number(*, 0),
 CARD_STS    number(1,0),
 GettingDATE DATE,
 NumSchem    number(*, 0),
 COMM        varchar2(255)
);
create sequence SEQ_PERS_ACARD start with 1;


create table HIST_ACARD(
 HIST_ID      number(*, 0) not null primary key,
 USER_ID      number(*, 0) not null CONSTRAINT fk_histacard REFERENCES PERSONNEL(USER_ID) on delete cascade,
 CLI_N        number(*, 0),
 DATE_START   DATE,
 CARD_STS     number(1,0) not null,
 DATE_END     DATE,
 REASON       CHAR(1),
 FIO_OPER     varchar2(70),
 FIO_OPER_End varchar2(70) 
);
create sequence SEQ_HIST_ACARD start with 1;


commit;
