create or replace view ListUsers as
select
 p.USER_ID, p.INDICATION, p.CLI_N,
 p.F_NAME, p.S_NAME, p.M_NAME,
 p.DEPARTMENT_ID, p.PROFESSION_ID, p.ORG_ID, p.JOB,
 p.TABN, p.TABN_REAL, p.NUM, p.CLI_KIND,
 p.W_PHONE, p.DATE_BRS, p.H_ADDR,
 p.H_PHONE, p.M_PHONE,
 p.P_NUM, p.P_ISSUED, p.P_ISSUEDAY,
 p.REGISTRATION, p.LEVEL_KD, p.PLANT_ID,
 p.CARD_STS, p.GettingDATE,
 p.LOST_KD, p.Decision, p.Black_LIST,
 d.NAME DepN,
 j.NAME JobN,
 o.NAME OrgN,
 t.KIND_OPIS,
 c.CODE as DEC, c.NUM_KD NUM_KD, c.LEVEL_KD LREAL
from
 PERSONNEL p,
 DEPARTMENT d,
 PROFESSION j,
 AlienOrg o,
 CLITAB c,
 CLITYPES t
where
 t.CLI_KIND(+)=p.CLI_KIND and
 d.CODE(+)=p.DEPARTMENT_ID and
 j.PROFESSION_ID(+)=p.PROFESSION_ID and
 o.ORG_ID(+)=p.ORG_ID and
 c.N(+)=p.CLI_N;

commit;