create table HIST_USER(
 CODE         number(*, 0) not null primary key,
 DT           date,
 COD_EVENT    number(3,0) not null,
 NUM_KD       varchar2(8),
 USER_ID      number(*, 0),
 FIO_USER     varchar2(200),
 UIN          varchar2(32),
 AUTO_NUM     varchar2(70),
 FIO_OPER     varchar2(70),
 EVENT_       varchar2(255),
 COMM         varchar2(255)
);
create sequence SEQ_Hist_User;
create index IHID_USER on HIST_USER(USER_ID);
create index IHFIO_USER on HIST_USER(FIO_USER);
create index IHNUM_KD on HIST_USER(NUM_KD);
commit;
